import { AfterViewChecked, AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class Ng2FittextDirective implements AfterViewInit, OnInit, OnChanges, AfterViewChecked {
    el: ElementRef<HTMLElement>;
    fittext: any;
    activateOnResize: boolean;
    container: HTMLElement | null;
    activateOnInputEvents: boolean;
    minFontSize: number;
    maxFontSize: number;
    useMaxFontSize: boolean;
    modelToWatch: any;
    fontSizeChanged: EventEmitter<number>;
    private fontSize;
    private speed;
    private done;
    constructor(el: ElementRef<HTMLElement>);
    setFontSize(fontSize: number): void;
    getFontSize(): number;
    calculateFontSize(fontSize: number, speed: number): number;
    checkOverflow(parent: HTMLElement, children: HTMLElement): boolean;
    hasXAxisOverflow(parent: HTMLElement, children: HTMLElement): boolean;
    hasYAxisOverflow(parent: HTMLElement, children: HTMLElement): boolean;
    onResize(event: Event): void;
    onInputEvents(event: Event): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewChecked(): void;
    getStartFontSizeFromHeight(): number;
    private getStartFontSizeFromWeight;
    isDone(): boolean;
    isVisible(): boolean;
    hasOverflow(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<Ng2FittextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Ng2FittextDirective, "[fittext]", never, { "fittext": { "alias": "fittext"; "required": false; }; "activateOnResize": { "alias": "activateOnResize"; "required": false; }; "container": { "alias": "container"; "required": false; }; "activateOnInputEvents": { "alias": "activateOnInputEvents"; "required": false; }; "minFontSize": { "alias": "minFontSize"; "required": false; }; "maxFontSize": { "alias": "maxFontSize"; "required": false; }; "useMaxFontSize": { "alias": "useMaxFontSize"; "required": false; }; "modelToWatch": { "alias": "modelToWatch"; "required": false; }; }, { "fontSizeChanged": "fontSizeChanged"; }, never, never, false, never>;
}
